### Function

# Ide Task report_new_error

#### Declaration

    void
    ide_task_report_new_error (
      gpointer source_object,
      GAsyncReadyCallback callback,
      gpointer callback_data,
      gpointer source_tag,
      GQuark domain,
      gint code,
      const gchar* format,
      ...
    )

#### Description

No description available.

#### Parameters

`source_object` | `gpointer`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| No description available.
`callback_data` | `gpointer`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`source_tag` | `gpointer`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`domain` | `GQuark`
| No description available.
`code` | `gint`
| No description available.
`format` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`...` | ``
| No description available.